Download

Maya UE4 RBF Plugin doesn't load - Metahuman

Hi There,

I couldn’t find any matching threads and apologize in advance if this is a duplicate I couldn’t find.

I am trying to export Epic Games-Metahuman asset into Maya using Quixel bridge, and having issues.

At the moment, I’m able to load any metahuman asset in Maya, which seems to work fine, with one exception: The expected “driven joints” behaviour using the body skeleton isn’t working. I’m able to transform the joints although the expected “corrective” joints or “driven” joints are simply not working. There isn’t any driven behavior for the corrective joints triggered when moving the main skeleton (I compared to all videos I could find which demonstrate the behavior within Maya).

When I inspected the error log, I noticed this error:

“Error loading plugin MayaUE4RBFPlugin2020”

After further inspection of the node network, I saw there is a “UE4RBFPlugin” used, which I assume (from what I saw) is the driver for these corrective joints. Although that is of course being recognized as an “unknown node” in Maya, since the plugin failed to load.

I also located the plugin within the Quixel library installed, and tried to load it manually via the plugin manager, which as expected failed again:

"// Error: file: C:/Program Files/Autodesk/Maya2020/scripts/others/pluginWin.mel line 935: The specified module could not be found.
(MayaUE4RBFPlugin2020) //
// Warning: file: C:/Program Files/Autodesk/Maya2020/scripts/others/pluginWin.mel line 938: Could not load D:/software/quixelBridge/support/plugins/maya/6.6/MSLiveLink/DHI/plugins/Windows/2020/MayaUE4RBFPlugin2020.mll as a plug-in // "

My goal Maya version is 2020, although I’ve tried Maya 2018 and 2019 with the exact same results (of course trying to load the version relative plugin on each).

I’m on Windows platform, Maya 2020.4 version, Quixel Maya plugin version 6.6 (installed via Quixel Bridge UI)

I should also mention that “embeddedRL4.mll” plugin, located in the same directory does load successfully.

"

DHI.modules.maya.util : Running Maya version 2020

('Loading plugin: ', ‘D:/software/quixelBridge/support/plugins/maya/6.6/MSLiveLink/DHI/plugins/Windows/2020/embeddedRL4.mll’)
('Loading plugin: ', ‘D:/software/quixelBridge/support/plugins/maya/6.6/MSLiveLink/DHI/plugins/Windows/2020/MayaUE4RBFPlugin2020.mll’)
Error loading plugin MayaUE4RBFPlugin2020"

I think I’ve exhausted all references/videos/documentation online, but could not find a solution.

I’d extremely appreciate your help.

Thank you,

Asaf Ben Zur